Package org.apache.commons.math3.geometry.spherical.oned

# Class Sphere1D

java.lang.Object
org.apache.commons.math3.geometry.spherical.oned.Sphere1D

All Implemented Interfaces:
  `Serializable`, `Space`

public class Sphere1D extends Object implements Serializable, Space
This class implements a one-dimensional sphere (i.e. a circle).

We use here the topologists definition of the 1-sphere (see Sphere on MathWorld), i.e. the 1-sphere is the one-dimensional closed curve defined in 2D as x2+y2=1.

Since:
  3.3
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Sphere1D.NoSubSpaceException`
Specialized exception for inexistent sub-space.

## Method Summary

Modifier and Type
Method
Description
`int`
`getDimension()`
Get the dimension of the space.
`static Sphere1D`
`getInstance()`
Get the unique instance.
`Space`
`getSubSpace()`
Get the n-1 dimension subspace of this space.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static Sphere1D getInstance()
Get the unique instance.

Returns:
  the unique instance

### getDimension

public int getDimension()
Get the dimension of the space.

Specified by:
  `getDimension` in interface `Space`
Returns:
  dimension of the space

### getSubSpace

public Space getSubSpace() throws Sphere1D.NoSubSpaceException
Get the n-1 dimension subspace of this space.

As the 1-dimension sphere does not have proper sub-spaces, this method always throws a `Sphere1D.NoSubSpaceException`

Specified by:
  `getSubSpace` in interface `Space`
Returns:
  nothing
Throws:
  `Sphere1D.NoSubSpaceException` - in all cases
See Also:
  - `Space.getDimension()`